lprint-server(1)

NAME
lprint-server - start a label print server.

SYNOPSIS
lprint server [ -o OPTION=VALUE ]

DESCRIPTION
This command starts a label print server. Normally a server is started automatically as needed, however you can run the server manually to listen on a public network address and/or enable different logging options.

OPTIONS
The following options are recognized by lprint server:

-o admin-group=GROUP
    Specifies that remote configuration is authenticated against the named group. If not specified or the value "none" is given then any authenticated user may remotely configure lprint.

-o auth-service=SERVICE
    Specifies the PAM service to use to authenticate for remote configuration requests. If not specified or the value "none" is given then printers can only be added, modified, or deleted locally.

-o listen-hostname=HOSTNAME
    Listens for IPP connections on the specified hostname/address(es). If not specified, uses the wildcard addresses to allow connections from any address.

-o log-file=-
    Specifies that all messages are written to the standard error.

-o log-file=syslog
    Specifies that all messages are sent to the syslog service.

-o log-file=FILENAME
    Specifies that all messages are written to the named file. If the file already exists, messages are appended to it. The default log file is "$TMPDIR/lprintUID.log".

-o log-level=error
    Specifies that only error messages should be logged. This is the default.

-o log-level=info
    Specifies that error and informational messages should be logged.

-o log-level=debug
    Specifies that all messages should be logged.

-o server-hostname=HOSTNAME
    Specifies the hostname to advertise for the server. The default is the system hostname.

-o server-options=OPTIONS
    Specifies a comma-delimited list of server options. See "SERVER OPTIONS" below.

-o server-port=PORT
    Listens for IPP connections on the specified port. If not specified, a random port between 9000 and 9999 is chosen.

-o spool-directory=DIRECTORY
    Specifies a directory that holds pending print files. If not specified, a subdirectory in the system temporary directory is used.

SERVER OPTIONS
By default, lprint server uses the "multi-queue" and "web-interface" options. The -o server-options=OPTIONS option can be used to override the default options, where "OPTIONS" is a comma-delimited list of any of the following:

dnssd-host
    When resolving conflicts, add the DNS-SD hostname instead of a serial number or UUID.

no-multi-queue
    Do no support multiple print queues.

raw-socket
    Provide a raw ("JetDirect") socket for each printer on port 91xx.

usb-printer
    Enable a USB printer gadget for the default printer (Linux only for Raspberry Pi and similar embedded SBCs).

no-web-interface
    Disables the web interface.

web-log
    Enables the log file web page.

web-network
    Enables the network settings web page.

web-remote
    Enables remote queue management.

web-security
    Enables the user/password settings web page.

web-tls
    Enables the TLS settings web page.

no-tls
    Disables TLS support.

SEE ALSO
lprint(1), lprint-shutdown(1).

COPYRIGHT
Copyright © 2019-2021 by Michael R Sweet.